/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_STACKTRACE_H
#define _SC_STACKTRACE_H

// sc
class ExceptionHandler;

class Stacktrace
{
public:
  static void setExceptionHandler( ExceptionHandler* );

  static void setupProcess();
  static void shutdownProcess();
  static void setupThread();
  static void shutdownThread();

  static void setDump( bool );
  static bool getDump();

private:
  static bool _dump;
};


#endif // _SC_STACKTRACE_H
